|
|
@ -18,8 +18,8 @@ panel_width = 0.8 |
|
|
|
|
|
|
|
amp_bottom_height = 19 + bottom_width + middle_width # how tall the pcb is |
|
|
|
battery_width = 26 |
|
|
|
battery_height = 17 |
|
|
|
amp_width = 62 |
|
|
|
battery_height = 15 |
|
|
|
amp_width = 60 |
|
|
|
amp_length = 60 |
|
|
|
amp_height = battery_height + amp_bottom_height |
|
|
|
|
|
|
@ -78,13 +78,6 @@ panel_holes_2 = ( |
|
|
|
result = result.cut(panel_holes) |
|
|
|
result = result.cut(panel_holes_2) |
|
|
|
|
|
|
|
result = ( |
|
|
|
result.workplane() |
|
|
|
.line(0, amp_width, forConstruction=True) |
|
|
|
.vertices() |
|
|
|
.cylinder(3, 5) |
|
|
|
) |
|
|
|
|
|
|
|
back = ( |
|
|
|
result.workplane(offset=-6.3) |
|
|
|
.center(-(amp_width) + 2, 0) |
|
|
@ -103,13 +96,25 @@ back_screws = ( |
|
|
|
back = back.cut(back_screws) |
|
|
|
back = back.center(31.5, 0).box(amp_width, amp_width + 9, amp_width, combine="cut") |
|
|
|
|
|
|
|
result = ( |
|
|
|
result.workplane(offset=-(amp_height/2)-side_width-1) |
|
|
|
.center(-70, -(amp_width/2)) |
|
|
|
.line(0, amp_width, forConstruction=True) |
|
|
|
.vertices() |
|
|
|
.box(amp_length*2, 3.5, 1.0, combine="cut") |
|
|
|
.workplane(offset=-(amp_height/2)-side_width-2) |
|
|
|
.line(0, amp_width, forConstruction=True) |
|
|
|
.vertices() |
|
|
|
.box(amp_length*2, 1.5, 1.5, combine="cut") |
|
|
|
) |
|
|
|
|
|
|
|
result = result.cut(back_screws) |
|
|
|
|
|
|
|
cq.exporters.export(result, "/home/deck/model_files/amp_case.step") |
|
|
|
cq.exporters.export(back, "/home/deck/model_files/amp_case_back.step") |
|
|
|
|
|
|
|
try: |
|
|
|
# show_object(back) |
|
|
|
#show_object(back) |
|
|
|
show_object(result) |
|
|
|
except NameError: |
|
|
|
pass |
|
|
|